#include <Routes.h>

#include <Cytoplasm/Cytoplasm.h>
#include <Cytoplasm/Memory.h>
#include <Cytoplasm/Str.h>

#include <Matrix.h>
#include <Bot.h>
#include <AS.h>

CommandHead(CmdHelp, cmd, argp)
{
    ParseeCmdArg *args = argp;
    ParseeData *data = args->data;
    HashMap *event = args->event;
    BotInitialise();

    ReplyBasic("Commands: ");
#define X_COMMAND(path, name, desc) ReplySprintf("- %s: %s", path, desc);
    COMMANDS
#undef X_COMMAND

    ReplySprintf("- Source code and licensing information: %s",
        REPOSITORY
    );
    ReplyBasic("*Written with a shoelace and UHU glue by LDA <3 !*");
    BotDestroy();

    (void) cmd;
}
