#include <Routes.h>

#include <Cytoplasm/Memory.h>
#include <Cytoplasm/Str.h>

#include <Matrix.h>
#include <Bot.h>
#include <AS.h>

#include <stdlib.h>

CommandHead(CmdListBans, cmd, argp)
{
    ParseeCmdArg *args = argp;
    ParseeData *data = args->data;
    HashMap *json, *event = args->event;
    DbRef *listed;
    char *banned;
    JsonValue *val;

    BotInitialise();

    listed = DbLock(data->db, 1, "global_bans");
    json = DbJson(listed);

    ReplyBasic("Users on the no-fly list:");
    while (HashMapIterate(json, &banned, (void **) &val))
    {
        /* TODO: Add no-fly reasons */
        ReplySprintf("- %s", banned);
    }

    DbUnlock(data->db, listed);
    BotDestroy();

    (void) cmd;
}
