#include <Routes.h>

#include <Cytoplasm/Log.h>

#include <Matrix.h>
#include <AS.h>

RouteHead(RoutePing, arr, argp)
{
    ParseeHttpArg *args = argp;
    HashMap *request = NULL;
    HashMap *response = NULL;
    
    response = ASVerifyRequest(args);
    if (response)
    {
        goto end;
    }
    if (HttpRequestMethodGet(args->ctx) != HTTP_POST)
    {
        HttpResponseStatus(args->ctx, HTTP_METHOD_NOT_ALLOWED);
        response = MatrixCreateError(
            "M_UNRECOGNIZED",
            "Path /ping only accepts POST as a valid method."
        );
        goto end;
    }

    RequestJSON();

    response = HashMapCreate();
end:
    (void) arr;
    JsonFree(request);
    return response;
}
