#ifndef PARSEE_FILEINFO_H
#define PARSEE_FILEINFO_H

#include "XML.h"

typedef struct FileInfo {
    int width;
    int height;
    int size;
} FileInfo;

/** Grab file metadata through SIMS.
 * ----------------
 * Returns: File information(SIMS)[HEAP]
 * Thrasher: FileInfoFree */
extern FileInfo * FileInfoFromXMPP(XMLElement *stanza);

/** Frees all information related with file metadata.
 * --------------
 * Thrashes: info */
extern void FileInfoFree(FileInfo *info);

#endif
