#ifndef PARSEE_STRSTREAM_H
#define PARSEE_STRSTREAM_H

#include <Cytoplasm/Stream.h>

/* Creates a string stream writer. The referenced buffer must be in the heap, 
 * or NULL for an empty string. */
extern Stream * StrStreamWriter(char **buffer);

/* Creates a string stream reader. The referenced buffer may be everywhere. */
extern Stream * StrStreamReaderN(char *buffer, int n);
#define StrStreamReader(buf) StrStreamReaderN(buf, 0)

#endif
