# Parsee changelogs

This document holds changes logged between versions, ever 
since `tomboyish-bridges-adventure`'s release.
Dates are to be written as DD/MM/YYYY. Please update the 
changelog as you go, no one wants to keep track of every 
commit done between releases.

## Release
*There is currently no full releases of Parsee*

## Beta
*There is currently no beta releases of Parsee*

## Alpha

### v0.3.0[lunar-rainbow] <XX/XX/2025>
This is the first release of 2025!
TBD
#### New things
- Allow admins to remove users from the nofly list.
- Parsee can now access the homeserver/component locally (rather than over the network)
- The endpoint for media has been changed to '/media/[SERV]/[ID]?hmac=...'
- Add parsee-plumb tool to manage plumbing from outside Parsee if it is not running.
- Add packaging for Guix (see #18)
#### Bugfixes
- Fix potential infinite loops when processing some messages.
- Parsee now handles pinging puppets from Matrix more sanely.

### v0.2.0[star-of-hope] <8/11/2024>
Fixes some media metadata things, replaces the build system,
tries out avatar support some more, MUC contexts, and speeds 
up Parsee just a bit. MbedTLS support is still highly unstable.
#### New things
- Start dealing with some basic PEP and vCard-based avatar 
support from both sides.
- Banning Parsee from a XMPP MUC effectively unlinks it from 
the MUC.
- Start adding basic documentation to Parsee, through the 
wiki page.
- Add MUC whitelists for plumbing, alongside a `whitelist` tool
- Add parameter for setting the max stanza size allowed, with 
the default being the XMPP minimum of 10000 bytes.
- Allows experimental MbedTLS through a specific Cytoplasm 
patch (though still unstable AND slow).
- Does basic work towards NetBSD support(especially with DEC Alpha)
- Start contextualising XMPP commands(all/Parsee admins/MUCs).

#### Bugfixes
- Adds more information to media events so that clients can 
behave.
- Fixes issues where SIGPIPE can actually just kill Parsee.
- "Lone" XMPP messages no longer render weirdly on Element 
Android's weird rendering.
- Start fixing bug where Parsee takes several seconds to send 
a message coming from XMPP with MbedTLS(it is still slow and 
unstable)
- Fix issue where the XMPP server would kill Parsee if avatars 
are too large.
- Refactor some of the code to abstract sending stanzas down 
the wire to a specific function, thus allowing us to check 
for certain conditions more easily(for example, verifying the 
size on the fly, or having extensions being able to postprocess 
the stanza).
- Parsee now stops when a stream error is received, instead of 
being in a limbo state.
- The format for links has been changed to be slighlty *less* 
annoying.

#### Deprecated features
- The old `build.c` and `Makefile`s used for building are removed, 
and replaced by the `configure.c` C file(/script via TCC).

### v0.1.0[tomboyish-bridges-adventure] <9/9/2024>
Nothing much to say, but this is the first alpha release 
of Parsee. May occasionally deadlock.
#### New things
*NONE*
#### Bugfixes
*NONE*
#### Deprecated features
*NONE*
