#include <Matrix.h>

HashMap *
MatrixCreateError(char *err, char *msg)
{
    HashMap *map;
    if (!err || !msg)
    {
        return NULL;
    }

    map = HashMapCreate();
    HashMapSet(map, "errcode",  JsonValueString(err));
    HashMapSet(map, "error",    JsonValueString(msg));

    return map;
}
