#ifndef PARSEE_GLOB_H
#define PARSEE_GLOB_H
/*-*
 * A simple Matrix globrule matcher.
 * -----------------
 * Written-By: LDA */

#include <stdbool.h>

/** Verifies if a string matches a rule, as specified in the Matrix 
 * specification on globrules.
 * -----------------
 * Returns: true if it does match, otherwise false
 * See-Also https://spec.matrix.org/v1.11/appendices/#glob-style-matching */
extern bool GlobMatches(char *rule, char *string);

#endif
